<html devsite><head>
    <title>从流量消耗数据中排除特定的网络类型</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>移动运营商可能希望从由设备计算的流量消耗总量中排除特定的网络类型。例如，移动运营商可能想对通过 MMS APN 传送的网络流量进行“零分级”。为了支持这一点，可以在编译时通过 <code>config_data_usage_network_types</code> 资源来配置这组用于计算流量消耗总量的网络类型。</p>
<p>一些移动无线装置实现可分别为每个有效的 APN 提供一个具有唯一性的 Linux 网络接口，另一些无线装置则可能会强制多个 APN 在同一个接口上共存。对于这两种设计，Android 均可从中收集网络统计信息，但 <code>config_data_usage_network_types</code> 无法有效地排除被强制在同一个接口上共存的 APN。</p>

</body></html>